// CFAH_WinTestDlg.h : header file
//

#if !defined(AFX_CFAH_WINTESTDLG_H__A14ED508_CEB9_492A_8A57_93A151FCB66A__INCLUDED_)
#define AFX_CFAH_WINTESTDLG_H__A14ED508_CEB9_492A_8A57_93A151FCB66A__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


typedef unsigned char ubyte;

/////////////////////////////////////////////////////////////////////////////
// CCFAH_WinTestDlg dialog

class CCFAH_WinTestDlg : public CDialog
{
// Construction
public:
	CCFAH_WinTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCFAH_WinTestDlg)
	enum { IDD = IDD_CFAH_WINTEST_DIALOG };
	CEdit	m_data_hex;
	CEdit	m_data_dec;
	CEdit	m_data_ascii;
	CButton	m_d0_l;
	CButton	m_d0_h;
	CButton	m_d1_l;
	CButton	m_d1_h;
	CButton	m_d2_l;
	CButton	m_d2_h;
	CButton	m_d3_l;
	CButton	m_d3_h;
	CButton	m_d4_l;
	CButton	m_d4_h;
	CButton	m_d5_l;
	CButton	m_d5_h;
	CButton	m_d6_l;
	CButton	m_d6_h;
	CButton	m_d7_l;
	CButton	m_d7_h;
	CButton	m_rw_l;
	CButton	m_rw_h;
	CButton	m_rs_l;
	CButton	m_rs_h;
	CButton	m_e1_l;
	CButton	m_e1_h;
	CButton	m_e0_l;
	CButton	m_e0_h;
	CComboBox	m_display_type;
	CComboBox	m_address;
	CEdit	m_line_3;
	CEdit	m_line_2;
	CEdit	m_line_1;
	CEdit	m_line_0;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCFAH_WinTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
  void Update_Buttons_From_Data_Register();
  void Update_Buttons_From_Control_Register();
  void Write_LCD_Data(ubyte data,ubyte enable);
  void Write_LCD_Control(ubyte data,ubyte enable);

  void Write_LCD_Data_4(ubyte data,ubyte enable);
  void Write_LCD_Control_4(ubyte data,ubyte enable);
  void Init_LCD_4(ubyte enable);

  void Write_LCD_Data_8(ubyte data,ubyte enable);
  void Write_LCD_Control_8(ubyte data,ubyte enable);
  void Init_LCD_8(ubyte enable);

	// Generated message map functions
	//{{AFX_MSG(CCFAH_WinTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnInit4Bit();
	afx_msg void OnInit8Bit();
	virtual void OnOK();
	afx_msg void OnCloseupDisplayType();
	afx_msg void OnD0H();
	afx_msg void OnD0L();
	afx_msg void OnD1H();
	afx_msg void OnD1L();
	afx_msg void OnD2H();
	afx_msg void OnD2L();
	afx_msg void OnD3H();
	afx_msg void OnD3L();
	afx_msg void OnD4H();
	afx_msg void OnD4L();
	afx_msg void OnD5H();
	afx_msg void OnD5L();
	afx_msg void OnD6H();
	afx_msg void OnD6L();
	afx_msg void OnD7H();
	afx_msg void OnD7L();
	afx_msg void OnE0H();
	afx_msg void OnE0L();
	afx_msg void OnE1H();
	afx_msg void OnE1L();
	afx_msg void OnRsH();
	afx_msg void OnRsL();
	afx_msg void OnRwH();
	afx_msg void OnRwL();
	afx_msg void OnCloseupAddress();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CFAH_WINTESTDLG_H__A14ED508_CEB9_492A_8A57_93A151FCB66A__INCLUDED_)
